.actors__section {
    overflow: hidden;

    .wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 24px;

        @media (max-width: 425px) {
            margin-bottom: 16px;
        }

        &__title {
            @include h2;
        }

        &__buttons {
            display: flex;
            gap: 24px;

            @media (max-width: 425px) {
                gap: 12px;
            }

            .slider-arrow {
                transition: 0.3s ease;

                .arrow {
                    color: $btn;

                    @media (max-width: 425px) {
                        width: 28px;
                        height: 28px;
                    }
    
                    &:hover {
                        color: $btnHover;
                    }
                }
            }
            
            .swiper-button-disabled {
                .arrow {
                    color: $white;
                    opacity: 0.3;
    
                    &:hover {
                        color: $white;
                    }
                }
            }
        }
    }

    .actors {
        height: 400px;

        @media (max-width: 768px) {
            height: 360px;
        }

        .actor {
            background-repeat: no-repeat;
            background-position: center;
            background-size: cover;
            position: relative;
            width: 15rem;
            height: auto;
            padding: 2rem 1.5rem;
            cursor: pointer;
            overflow: hidden;

            @media (max-width: 768px) {
                padding: 1.5rem 1rem;
                width: 14rem;
            }

            .card {
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                height: 100%;
                position: relative;
                top: 280px;
                transition: 0.6s ease;
                z-index: 1;

                @media (max-width: 768px) {
                    top: 270px;
                }

                &__title {
                    display: flex;
                    flex-direction: column;
                    gap: 4px;

                    .character-name {
                        @include h4B;
                    }

                    .actor-name {
                        @include h4;
                    }
                }

                &__text {
                    @include text;
                }
            }

            &:hover {
                .overlay {
                    backdrop-filter: blur(5px);
                    background: rgba(0, 0, 0, 0.4);
                }

                .card {
                    top: 0;
                }
            }
        }
    }

    .swiper-pagination {
        position: relative;
        display: flex;
        z-index: 1;
        margin-bottom: 32px;

        @media (max-width: 768px) {
            margin-bottom: 20px;
        }

       .swiper-pagination-bullet {
            border-radius: 0;
            margin: 0;
            width: 100%;
            transition: 0.3s ease;
            height: 2px;
            background-color: $gray1;
       }

       .swiper-pagination-bullet-active {
            background-color: $btn;
            border-radius: 10px;
       }
    }

    .swiper {
        overflow: visible;
    }
}